#include<stdio.h>
#include<stdlib.h>
#include<string.h>
#include<ctype.h>
#include<math.h>

void main()
{
    int i=0,j=0,m=0,s=0,d=0;
    unsigned int n;
    if(n<0 || n==0)
      exit(1);
    while(n!=0)
    {
      d=n%10;
      n=n/10;
      if(m!=d)
      {
	  m=d;
	  j=pow(10,i)*m;
	  s=s+j;
	  i++;
      }
    }
    printf("%d",&s);
    }